Question what are sig patches and how do i get them for my botw xci?

Discussion in 'Switch - Exploits, Custom Firmwares & Soft Mods' started by innuendu, Apr 22, 2019.

  1. innuendu
    OP

    innuendu Advanced Member

    Newcomer
    1
    Apr 10, 2019
    United States
    its giving me an error when i try to open up a botw xci
     
  2. Kubas_inko

    Kubas_inko "Something funny goes here."

    Member
    13
    Feb 3, 2017
    Czech Republic
    I gues on earth.
    signature patches. Those allow you to launch unsigned "apps" from the home screen.
    But considering that you are talking about xci, you have SX OS so it's not a problem with sigpatches.
     
  3. innuendu
    OP

    innuendu Advanced Member

    Newcomer
    1
    Apr 10, 2019
    United States
    i used lithium to install it i dont have sx os
     
  4. x65943

    x65943 Dr. Rabbi Prince X, Sr., Ed. D.

    Moderator
    15
    GBAtemp Patron
    x65943 is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Jun 23, 2014
    United States
    Midwest
    So you installed it as nsp?

    Check out this website https://www.sdsetup.com
     
  5. Kubas_inko

    Kubas_inko "Something funny goes here."

    Member
    13
    Feb 3, 2017
    Czech Republic
    I gues on earth.
    Then get the sigpatches form here and just copy&paste&replace.
     
    x65943 likes this.
  6. innuendu
    OP

    innuendu Advanced Member

    Newcomer
    1
    Apr 10, 2019
    United States
    how do i get the sig patch for botw?
     
  7. Kubas_inko

    Kubas_inko "Something funny goes here."

    Member
    13
    Feb 3, 2017
    Czech Republic
    I gues on earth.
    sigpatches are not game specific. They are universal.
     
  8. innuendu
    OP

    innuendu Advanced Member

    Newcomer
    1
    Apr 10, 2019
    United States
    oh. i got the 8.0.0 thingy from the link and its still giving me the error
     
  9. Kubas_inko

    Kubas_inko "Something funny goes here."

    Member
    13
    Feb 3, 2017
    Czech Republic
    I gues on earth.
    Then it's a different problem. What error is it actually?
     
  10. innuendu
    OP

    innuendu Advanced Member

    Newcomer
    1
    Apr 10, 2019
    United States
    it checks if its able to play and then it says "Error code 2154-0107" "An error has occurred If the problem persists, please refer to the Nintendo Support website."
     
  11. innuendu
    OP

    innuendu Advanced Member

    Newcomer
    1
    Apr 10, 2019
    United States
    thats the error
     
  12. Hayato213

    Hayato213 GBAtemp Guru

    Member
    11
    Dec 26, 2015
    United States
    Just use someone else NSP build, that code it has to do cert verification.
     
  13. innuendu
    OP

    innuendu Advanced Member

    Newcomer
    1
    Apr 10, 2019
    United States
    how
     
  14. Hayato213

    Hayato213 GBAtemp Guru

    Member
    11
    Dec 26, 2015
    United States
    Just google Breath of the wild NSP, people on the forum can't link to website that host them, you just gonna have to look for it yourself, if you want to use XCI, you gonna want to get SX OS to help you reduce the headaches.
     
  15. innuendu
    OP

    innuendu Advanced Member

    Newcomer
    1
    Apr 10, 2019
    United States
    all the other nsps do the same error
     
  16. Hayato213

    Hayato213 GBAtemp Guru

    Member
    11
    Dec 26, 2015
    United States
    You on MAC?
     
  17. innuendu
    OP

    innuendu Advanced Member

    Newcomer
    1
    Apr 10, 2019
    United States
    no im on a windows laptop
     
  18. blahblah

    blahblah GBAtemp Maniac

    Member
    8
    May 16, 2018
    United States
    Stop recommending SDSetup, it doesn't like some kinds of XCI conversions as well as all direct XCI installs via Tinfoil/Lithium.

    On your SD card, delete EVERYTHING except the folder named 'Nintendo" and the folder named "Switch"

    Download the latest Atmosphere zip file and extract to SD card https://github.com/Atmosphere-NX/Atmosphere/releases

    Download fusee-primary.bin, this is the payload you will use to boot your Switch.

    Download Sigpatches and extract to SD https://gbatemp.net/attachments/2-0-0-8-0-0-zip.164387/

    Download Tinfoil from https://github.com/digableinc/tinfoil/archive/1.55.zip. Extract to Switch folder on your SD card. Put the SD back in your Switch

    Open TegraRCMGui, inject Fusse-Primary. Install your BOTW XCI using Tinfoil. You can either copy the XCI to the SD card and select it in Tinfoil/Lithium and install it, or you can serve it up for USB install with Nut.

    — Posts automatically merged - Please don't double post! —

    I'm getting fairly tired of correcting things you've posted that are wrong. You almost had a person restore their NAND because you didn't know what you were talking about last night. It's okay not to be a certified brain genius like I am, but could you at least defer to others when you do not know things? XCIs can be installed without issue on Atmosphere/ReiNX/SXOS/correctly configured Hekate + Atmo/anything other than Kosmos.

    That guy would have never gotten his two hours of NAND restore time (at least) back. He would have never gotten his saves (ones from after he made his backup) back. And it would have all have because you gave instructions without actually being knowledgeable about the issue at hand.

    — Posts automatically merged - Please don't double post! —

    Also wrong.
     
    Last edited by blahblah, Apr 22, 2019
    spank2610 and codyjo like this.
  19. Hayato213

    Hayato213 GBAtemp Guru

    Member
    11
    Dec 26, 2015
    United States
    https://www.reddit.com/r/SwitchPira...ch_wont_boot_eshop_nsp_files_without_wanting/

    According to this that error code has to do with verification
    You sure have a lot to say lol, fine help everyone on every thread lol,

    https://www.reddit.com/r/SwitchPira...ch_wont_boot_eshop_nsp_files_without_wanting/
     
  20. blahblah

    blahblah GBAtemp Maniac

    Member
    8
    May 16, 2018
    United States
    That post is wrong. The issue is that the Reddit OP is using a CFW setup that doesn't support the type of XCI install that they did. Atmosphere with Sig Patches supports all. The issue is one of Kosmos, as it always is. It does not have full FS patching.

    There is no such thing as 'cert verification', at least in this context. You're thinking of ticket verification, which is closer to what the issue actually is. The console certificate never comes into play, and the language of 'cert' is not quite the right language to refer to the unique per-cartridge data or the unique per-eShop-install data.

    I love that other people help and encourage it. I just want people to post things that are correct, or at least that are based on actual knowledge of the issue at hand.
     
    Last edited by blahblah, Apr 22, 2019
    Kafluke likes this.
Loading...